Republish a failed or cancelled post
curl --request POST \
--url https://api.app.hrizn.io/v1/public/social/posts/{id}/retry \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.app.hrizn.io/v1/public/social/posts/{id}/retry"
payload = { "target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({target_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.app.hrizn.io/v1/public/social/posts/{id}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({target_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.app.hrizn.io/v1/public/social/posts/{id}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/social/posts/{id}/retry",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "<string>",
"status": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "keyword: Required",
"details": {},
"request_id": "<string>"
}
}Retry post
Republish a failed or cancelled post as a new post
POST
/
social
/
posts
/
{id}
/
retry
Republish a failed or cancelled post
Republish a failed or cancelled post. Zernio assigns a new post id (the old
targets are replaced). Optionally specify
target_id to retry a single target.
Scope required: social:writeAuthorizations
Your Hrizn API key (prefix hzk_)
Headers
Optional idempotency key. Repeats with the same key + body within 24h return the original response instead of creating a duplicate.
Path Parameters
The post id (post_id / Zernio post id)
Body
application/json
Optional specific target to republish
Last modified on June 30, 2026
⌘I
